<form #datePickerForm="ngForm">
    <h1>Date Range Selects</h1>
    <div class="row">
        <div class="col-5">
            <h2>Default*</h2>
            <csd-date-picker name="defaultRange" [(dateStart)]="dateStart" [(ngModel)]="dateEnd" required></csd-date-picker>
        </div>
        <div class="col-7">
            <h2>Variable Months</h2>
            <csd-date-picker name="dateRange" [(dateStart)]="dateStartVar" [(ngModel)]="dateEndVar" [months]="3"></csd-date-picker>
        </div>
    </div>

    <h1>Single Date Select*</h1>
    <csd-date-picker name="date" [(ngModel)]="singleDate" [single]="true" required></csd-date-picker>

    <br><br><br>

    <i>* indicates a required field.</i> <br>
    Angular Form Valid: {{datePickerForm.form.valid}} <br>
    <button [disabled]="!datePickerForm.form.valid" (click)="save()">Save</button>
</form>
